<?php

/**
*
* @package BB3Ajaxer
* @copyright (c) 2023 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\bb3ajaxer\migrations;

class bb3ajaxer_manage extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['bb3ajaxer_version']);
	}

	public function update_schema()
	{
		return array(
			'add_columns' => array(
				$this->table_prefix . 'users' => array(
					'user_bb3ajaxer' => array('VCHAR_UNI:3', '0:0'),
				),
			),
		);
	}

	public function update_data()
	{
		return array(
			// Add new config vars
			array('config.add', array('bb3ajaxer_version', '1.0.4')),

			array('config.' . (isset($this->config['bb3ajaxer_extedition']) ? 'update' : 'add'), array('bb3ajaxer_extedition', 'free')),

		);
	}

	public function revert_schema()
	{
		return array(
			'drop_columns' => array(
				$this->table_prefix . 'users' => array(
					'user_bb3ajaxer',
				)
			),
		);
	}

	public function revert_data()
	{
		return array(
			array('config.remove', array('bb3ajaxer_version')),

			array('config.remove', array('bb3ajaxer_extedition')),

		);
	}
}