<?php

/**
*
* @package BB3Ajaxer
* @copyright (c) 2023 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\bb3ajaxer\migrations;

class bb3ajaxer_manage2 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['bb3ajaxer_version']) && version_compare($this->config['bb3ajaxer_version'], '1.2.0', '>=');
	}

	static public function depends_on()
	{
		return array('\ppk\bb3ajaxer\migrations\bb3ajaxer_manage');
	}

	public function update_data()
	{
		return array(
			array('config.add', array('bb3ajaxer_config', json_encode(array('t'=>-1, 'p'=>-1, 'm'=>0, 's'=>-1, 'prev'=>1)))),

			array('config.update', array('bb3ajaxer_version', '1.3.2')),

			array('custom', array(array($this, 'update_tables'))),
		);
	}

	public function revert_data()
	{
		return array(
			array('config.remove', array('bb3ajaxer_config')),

		);
	}

	public function update_schema()
	{
		return array(
			'change_columns'    => array(
				$this->table_prefix . 'users'        => array(
					'user_bb3ajaxer'        =>  array('VCHAR_UNI:128', ''),
				),
			),
		);
	}

	public function update_tables()
	{
		$sql="UPDATE `{$this->table_prefix}users` SET user_bb3ajaxer=''";
		$result=$this->db->sql_query($sql);
	}

}